All of lore.kernel.org
 help / color / mirror / Atom feed
From: Arun Sharma <arun.sharma@intel.com>
To: Ian Pratt <Ian.Pratt@cl.cam.ac.uk>,
	Keir Fraser <Keir.Fraser@cl.cam.ac.uk>
Cc: xen-devel@lists.xensource.com
Subject: [PATCH][2/5] Fail the build unless libSDL is installed.
Date: Fri, 1 Jul 2005 11:56:00 -0700	[thread overview]
Message-ID: <20050701185600.GA32184@intel.com> (raw)

Fail the build unless libSDL is installed.

Signed-off-by: Arun Sharma <arun.sharma@intel.com>

diff -r a7b2638827fa -r be004ea3a553 tools/check/check_sdl_lib
--- /dev/null	Thu Jun 30 19:25:19 2005
+++ b/tools/check/check_sdl_lib	Thu Jun 30 20:29:39 2005
@@ -0,0 +1,10 @@
+#!/bin/bash
+# CHECK-BUILD CHECK-INSTALL
+
+function error {
+        echo 'Check for SDL library failed.'
+        exit 1
+}
+
+set -e
+ldconfig -p | grep libSDL-.*so || error

             reply	other threads:[~2005-07-01 18:56 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2005-07-01 18:56 Arun Sharma [this message]
2005-07-01 21:08 ` [PATCH][2/5] Fail the build unless libSDL is installed Keir Fraser

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20050701185600.GA32184@intel.com \
    --to=arun.sharma@intel.com \
    --cc=Ian.Pratt@cl.cam.ac.uk \
    --cc=Keir.Fraser@cl.cam.ac.uk \
    --cc=xen-devel@lists.xensource.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.